Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.eclipse.lyo.client.oslc.resources
Interface AutomationConstants

    public interface AutomationConstants

Field Summary
`static String` | `AUTOMATION_DOMAIN`
`static String` | `AUTOMATION_NAMESPACE`
`static String` | `AUTOMATION_PREFIX`
`static String` | `STATE_CANCELED`
`static String` | `STATE_CANCELING`
`static String` | `STATE_COMPLETE`
`static String` | `STATE_IN_PROGRESS`
`static String` | `STATE_NEW`
`static String` | `STATE_QUEUED`
`static String` | `TYPE_AUTOMATION_PLAN`
`static String` | `TYPE_AUTOMATION_REQUEST`
`static String` | `TYPE_AUTOMATION_RESULT`
`static String` | `TYPE_PARAMETER_INSTANCE`
`static String` | `VERDICT_ERROR`
`static String` | `VERDICT_FAILED`
`static String` | `VERDICT_PASSED`
`static String` | `VERDICT_UNAVAILABLE`
`static String` | `VERDICT_WARNING`

Field Detail

### AUTOMATION_DOMAIN

    static final String AUTOMATION_DOMAIN

See Also:
  Constant Field Values

### AUTOMATION_NAMESPACE

    static final String AUTOMATION_NAMESPACE

See Also:
  Constant Field Values

### AUTOMATION_PREFIX

    static final String AUTOMATION_PREFIX

See Also:
  Constant Field Values

### TYPE_AUTOMATION_PLAN

    static final String TYPE_AUTOMATION_PLAN

See Also:
  Constant Field Values

### TYPE_AUTOMATION_REQUEST

    static final String TYPE_AUTOMATION_REQUEST

See Also:
  Constant Field Values

### TYPE_AUTOMATION_RESULT

    static final String TYPE_AUTOMATION_RESULT

See Also:
  Constant Field Values

### TYPE_PARAMETER_INSTANCE

    static final String TYPE_PARAMETER_INSTANCE

See Also:
  Constant Field Values

### STATE_NEW

    static final String STATE_NEW

See Also:
  Constant Field Values

### STATE_QUEUED

    static final String STATE_QUEUED

See Also:
  Constant Field Values

### STATE_IN_PROGRESS

    static final String STATE_IN_PROGRESS

See Also:
  Constant Field Values

### STATE_CANCELING

    static final String STATE_CANCELING

See Also:
  Constant Field Values

### STATE_CANCELED

    static final String STATE_CANCELED

See Also:
  Constant Field Values

### STATE_COMPLETE

    static final String STATE_COMPLETE

See Also:
  Constant Field Values

### VERDICT_UNAVAILABLE

    static final String VERDICT_UNAVAILABLE

See Also:
  Constant Field Values

### VERDICT_PASSED

    static final String VERDICT_PASSED

See Also:
  Constant Field Values

### VERDICT_WARNING

    static final String VERDICT_WARNING

See Also:
  Constant Field Values

### VERDICT_FAILED

    static final String VERDICT_FAILED

See Also:
  Constant Field Values

### VERDICT_ERROR

    static final String VERDICT_ERROR

See Also:
  Constant Field Values

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2014. All Rights Reserved.